    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.io.CharArrayReader

    java.lang.Object
       |
       +----java.io.Reader
               |
               +----java.io.CharArrayReader

public class CharArrayReader
extends Reader

This class implements a character buffer that can be used as a character-input stream.

##

buf
  Character buffer
count
  Number of valid characters in buffer
markedPos
  Position of mark in buffer
pos
  Current buffer position

##

CharArrayReader(char[])
  Create an CharArrayReader from the specified array of chars.
CharArrayReader(char[], int, int)
  Create an CharArrayReader from the specified array of chars.

##

close()
  Close the stream.
mark(int)
  Mark the present position in the stream.
markSupported()
  Tell whether this stream supports the mark() operation, which it does.
read()
  Read a single character.
read(char[], int, int)
  Read characters into a portion of an array.
ready()
  Tell whether this stream is ready to be read.
reset()
  Reset the stream to the most recent mark, or to the beginning if it has never been marked.
skip(long)
  Skip characters.

##

buf

     protected char buf[]

  Character buffer

pos

     protected int pos

  Current buffer position

markedPos

     protected int markedPos

  Position of mark in buffer

count

     protected int count

  Number of valid characters in buffer

##

CharArrayReader

     public CharArrayReader(char buf[])

  Create an CharArrayReader from the specified array of chars.

  Parameters:
    buf - Input buffer (not copied)

CharArrayReader

     public CharArrayReader(char buf[],
                            int offset,
                            int length)

  Create an CharArrayReader from the specified array of chars.

  Parameters:
    buf - Input buffer (not copied)
    offset - Offset of the first char to read
    length - Number of chars to read

##

read

     public int read() throws IOException

  Read a single character.

  Throws: IOException
    If an I/O error occurs
  Overrides:
    read in class Reader

read

     public int read(char b[],
                     int off,
                     int len) throws IOException

  Read characters into a portion of an array.

  Parameters:
    b - Destination buffer
    off - Offset at which to start storing characters
    len - Maximum number of characters to read
  Returns:
    The actual number of characters read, or -1 if the end of the stream has been reached
  Throws: IOException
    If an I/O error occurs
  Overrides:
    read in class Reader

skip

     public long skip(long n) throws IOException

  Skip characters.

  Parameters:
    n - The number of characters to skip
  Returns:
    The number of characters actually skipped
  Throws: IOException
    If an I/O error occurs
  Overrides:
    skip in class Reader

ready

     public boolean ready() throws IOException

  Tell whether this stream is ready to be read. Character-array readers are always ready to be read.

  Throws: IOException
    If an I/O error occurs
  Overrides:
    ready in class Reader

markSupported

     public boolean markSupported()

  Tell whether this stream supports the mark() operation, which it does.

  Overrides:
    markSupported in class Reader

mark

     public void mark(int readAheadLimit) throws IOException

  Mark the present position in the stream. Subsequent calls to reset() will reposition the stream to this point.

  Parameters:
    readAheadLimit - Limit on the number of characters that may be read while still preserving the mark. Because the stream's input comes from a character array, there is no actual limit; hence this argument is ignored.
  Throws: IOException
    If an I/O error occurs
  Overrides:
    mark in class Reader

reset

     public void reset() throws IOException

  Reset the stream to the most recent mark, or to the beginning if it has never been marked.

  Throws: IOException
    If an I/O error occurs
  Overrides:
    reset in class Reader

close

     public void close()

  Close the stream.

  Overrides:
    close in class Reader

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.